package com.cf.imes.module.manage.util.page;

import com.cf.imes.framework.common.pojo.PageResult;
import com.github.pagehelper.PageInfo;


/**
 * PageHelper 工具类
 *
 * @author 晨丰科技
 */
public class PageHelperUtil {

    // 转换分页数据类型
    public static <T> PageResult<T> convertToPageResult(PageInfo<T> pageInfo) {
        PageResult<T> pageResult = new PageResult<>();
        pageResult.setTotal(pageInfo.getTotal());
        pageResult.setList(pageInfo.getList());
        return pageResult;
    }
}
